Hello Antoine,
it took me some time but here is som code ...
put it in a iLogic rule and run it in a drawing.
on c:\temp\ will PNG. 's be created...
SyntaxEditor Code Snippet
Dim oDrawDoc As DrawingDocument = ThisApplication.ActiveDocument
Dim oDrawView As DrawingView
Dim oSheet As Sheet
Dim cam As Camera
cam = ThisApplication.ActiveView.Camera
Dim tg As TransientGeometry
tg = ThisApplication.TransientGeometry
Dim i As Integer = 0
For Each oSheet In oDrawDoc.Sheets
oSheet.Activate()
For Each oDrawView In oSheet.DrawingViews
i = i + 1
cam.Eye = tg.CreatePoint(oDrawView.Center.X, oDrawView.Center.Y, 20)
cam.Target = tg.CreatePoint(oDrawView.Center.X, oDrawView.Center.Y, 10)
cam.UpVector = tg.CreateUnitVector(0, 1, 0)
cam.SetExtents(oDrawView.Width + 1, oDrawView.Height + 1)
cam.ApplyWithoutTransition()
ThisApplication.ActiveView.Camera.SaveAsBitmap("C:\temp\picture" & i & ".png", (oDrawView.Width + 1) * 100, (oDrawView.Height + 1) * 100)
Next
Next
If this answers your question then please select "Accept as Solution"
Kudo's are also appreciated
Succes on your project, and have a nice day
Herm Jan